package com.qy.worksheetsystem.service.impl;

import com.qy.worksheetsystem.model.mapper.PersonMapper;
import com.qy.worksheetsystem.service.PersonService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.Map;

/**
 * @BelongsProject: workSheetSystem
 * @BelongsPackage: com.qy.worksheetsystem.service.impl
 * @Author: lhbj
 * @CreateTime: 2024-12-02  18:24
 * @Description: TODO
 * @Version: 1.0
 */
@Slf4j
@Service
public class PersonServiceImpl implements PersonService {

    @Resource
    private PersonMapper personMapper;

    @Override
    public Map<String, String> getPersonByUserId(String userid) {
        return personMapper.getPersonByUserId(userid);
    }

    @Override
    public Map<String, String> getPersonByOpenId(String openid) {
        return personMapper.getPersonByOpenId(openid);
    }

    @Override
    public Map<String, String> getPersonByJobNo(String jobNo) {
        return personMapper.getPersonByJobNo(jobNo);
    }
    @Override
    public Map<String, String> getPersonByPersonId(String id) {
        return personMapper.getPersonByPersonId(id);
    }

}
